Skip to main content
POST
/
v2
/
users
/
{userId}
/
virtual-accounts
/
{accountId}
/
update
Update a virtual account
curl --request POST \
  --url https://production.hifibridge.com/v2/users/{userId}/virtual-accounts/{accountId}/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceCurrency": "usd",
  "externalWalletId": "<string>"
}
'
import requests

url = "https://production.hifibridge.com/v2/users/{userId}/virtual-accounts/{accountId}/update"

payload = {
"sourceCurrency": "usd",
"externalWalletId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceCurrency: 'usd', externalWalletId: '<string>'})
};

fetch('https://production.hifibridge.com/v2/users/{userId}/virtual-accounts/{accountId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "accountInfo": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": {
      "paymentRail": [
        "<string>"
      ],
      "currency": "<string>"
    },
    "destination": {
      "chain": "<string>",
      "currency": "<string>",
      "walletAddress": "<string>",
      "externalWalletId": "<string>"
    },
    "microDeposits": {
      "count": 123,
      "data": [
        {
          "createdAt": "2023-11-07T05:31:56Z",
          "currency": "<string>",
          "amount": 123,
          "sourceBankInfo": {
            "bankName": "<string>",
            "senderName": "<string>",
            "routingNumber": "<string>",
            "accountNumber": "<string>",
            "accountType": "<string>",
            "fedBatchId": "<string>",
            "imad": "<string>",
            "omad": "<string>",
            "traceNumber": "<string>",
            "bankAddress": "<string>",
            "description": "<string>"
          }
        }
      ]
    },
    "depositInstructions": {
      "bankName": "<string>",
      "bankAddress": "<string>",
      "swiftCode": "<string>",
      "beneficiary": {
        "name": "<string>",
        "address": "<string>"
      },
      "ach": {
        "routingNumber": "<string>",
        "accountNumber": "<string>"
      },
      "wire": {
        "routingNumber": "<string>",
        "accountNumber": "<string>"
      },
      "rtp": {
        "routingNumber": "<string>",
        "accountNumber": "<string>"
      },
      "reference": "<string>",
      "depositBy": "2023-11-07T05:31:56Z",
      "instruction": "<string>"
    },
    "settlementRuleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}
{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

accountId
string
required

ID of the virtual account

Body

application/json
sourceCurrency
enum<string>
required
Available options:
usd
destinationCurrency
enum<string>
required
Available options:
usdc,
usdt,
usdg,
pyusd
destinationChain
enum<string>

Either externalWalletId or destinationChain must be provided. If provided, the token will be delivered to user's HIFI wallet on the destination chain.

Available options:
POLYGON,
ETHEREUM,
SOLANA,
BASE,
TRON
externalWalletId
string

Either externalWalletId or destinationChain must be provided.

Response

Success

message
string
accountInfo
object